Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - java8-openjdk-jetbrains-git

Package Base Details: java8-openjdk-jetbrains-git

Git Clone URL: https://aur-dev.archlinux.org/java8-openjdk-jetbrains-git.git (read-only)
Submitter: tad
Maintainer: None
Last Packager: tad
Votes: 1
Popularity: 0.002472
First Submitted: 2016-04-10 04:15
Last Updated: 2016-07-10 23:24

Pinned Comments

tad commented on 2016-09-23 20:35

I am abandoning this package because of the impossibility to build on GCC 6.

The intellij-jdk package should be used instead. It pulls the binary releases from upstream, as they are more up-to-date.

https://aur.archlinux.org/packages/intellij-jdk/

Latest Comments

« First ‹ Previous 1 2

tad commented on 2016-06-22 19:35

Thanks! The build is currently broken, possibly due to the switch to GCC 6. I'll take a look later this week.

jimnotic commented on 2016-06-22 18:48

Keep getting this compilation error. Tried it on two different computers, any ideas?

/build/makepkg/java8-openjdk-jetbrains-git/src/jdk8u-jdk8u76-b03/hotspot/src/share/vm/code/dependencies.hpp:169:59: error: left operand of shift expression â– (-1 << 1)â–  is negative
[-fpermissive]
all_types = ((1 << TYPE_LIMIT) - 1) & ((-1) << FIRST_TYPE),
~~~~~~^~~~~~~~~~~~~~
/build/makepkg/java8-openjdk-jetbrains-git/src/jdk8u-jdk8u76-b03/hotspot/src/share/vm/code/dependencies.hpp:169:72: error: enumerator value for â– all_typesâ–  is not an integer constant
all_types = ((1 << TYPE_LIMIT) - 1) & ((-1) << FIRST_TYPE),
^
cc1plus: all warnings being treated as errors
make[6]: *** [/build/makepkg/java8-openjdk-jetbrains-git/src/jdk8u-jdk8u76-b03/hotspot/make/linux/makefiles/vm.make:311: precompiled.hpp.gch] Error 1